Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > HOWTO-Related Questions

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 6th February 2007, 19:54
bacanchileno bacanchileno is offline
Junior Member
 
Join Date: Dec 2006
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Default (error postgresql-devel)Virtual Users With Postfix, PostfixAdmin...CentOS

Hello to all
In this manual, when i execute the step : sudo yum install libtool postgresql-devel ... , appear the next error = (Error: Missing Dependency: postgresq = 7.4.l3-2...., etc), and not continue.

I need help, please

Alex
Reply With Quote
Sponsored Links
  #2  
Old 6th February 2007, 23:31
xraymind xraymind is offline
Junior Member
 
Join Date: Feb 2007
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Default

I got around this problem. But here is a warning, you will not likely to get this mail server working. As I am stuck on page 5/6 right now. This howto is too new, it still have some mistakes that needs to be fixed.

If you want to continue. The postresql-server was installed with centosplus, which installed version 8.xxxx. Now the regular yum install for postresql-devel is going try install version 7.xxxx, so the two versions don't match up. postresql is not really use by this howto, but needed by courier to make the rpm packages. Anyway just do "yum install --enablerepo=centosplus postgresql-devel" and remove postresql-devel from the sudo yum install.

Later on, it tells you to vi maildirmake.sh twice, which the second one should be vi maildirdel.sh. The problem is these shell scripts don't work when postfixadmin calls to them. I even chmod +x on scripts. The problem I think the instructions on modifying the php scripts are not very clear. I was unsure where to place the changes. So directory for the domain and user are never created by postfixadmin. When I manually created them use the instructions, maildrop/courier aren't finding them.

Well for me, I wasted a whole day to get this point. I will have to look at another howto guide. As this one has not been fully tested.

Last edited by xraymind; 7th February 2007 at 03:06.
Reply With Quote
  #3  
Old 7th February 2007, 01:26
cryptic cryptic is offline
Senior Member
 
Join Date: Sep 2006
Posts: 136
Thanks: 5
Thanked 5 Times in 4 Posts
Default

Ack! Thanks for the lookout. Hopefully the author edits his posting, as I regard the HowTo's as step by step, this will work sort of deal
Reply With Quote
  #4  
Old 7th February 2007, 15:10
d34m0n1x d34m0n1x is offline
Junior Member
 
Join Date: Sep 2006
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Default

I have the same problem.
Error: compat-postgresql-libs conflicts with postgresql-libs < 8.0.2
"yum install --enablerepo=centosplus postgresql-devel" doesn't work for me.

I don't have installed postresql-devel.
Reply With Quote
  #5  
Old 8th February 2007, 20:33
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,741 Times in 2,575 Posts
Default

Quote:
Originally Posted by d34m0n1x
I have the same problem.
Error: compat-postgresql-libs conflicts with postgresql-libs < 8.0.2
"yum install --enablerepo=centosplus postgresql-devel" doesn't work for me.

I don't have installed postresql-devel.
Do you have a file for the centosplus repository in /etc/yum.repos (or was it /etc/yum.repos.d)?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #6  
Old 22nd March 2007, 23:35
unclecameron unclecameron is offline
Senior Member
 
Join Date: Apr 2006
Posts: 115
Thanks: 2
Thanked 8 Times in 7 Posts
Default

I also had problems with:
yum install mysql-devel pam-devel gcc-c++ postgresql-devel
Error: Missing Dependency: postgresql = 7.4.16-1.RHEL4.1 is needed by package postgresql-devel
Error: Missing Dependency: postgresql-libs = 7.4.16-1.RHEL4.1 is needed by package postgresql-devel

so then I went and found those packages on rpmfind.net and tried to install them, but they had a bunch of dependency errors. so then I figured postgres probably wasn't used anyway, but that ran into problems doing the rpmbuild for courier-authlib-0.58.tar.bz2

Also I got a warning about directly editing /etc/sudoers, so I added vmail user using /usr/sbin/visudo

I notice the author said he had a really hard time getting CentOS to behave for the install, CentOS just doesn't seem to be keeping up like some other distros.
If I wasn't shooting for the RHCE program, I'd ditch RH altogether and run Debian/Ubuntu, Centos is great, but needs some updating to catch up, has anyone tried this on Centos 5, that is looking pretty sweet from what I've tested?

Thanks,
Cameron
San Diego
Reply With Quote
  #7  
Old 24th April 2007, 18:05
cryptic cryptic is offline
Senior Member
 
Join Date: Sep 2006
Posts: 136
Thanks: 5
Thanked 5 Times in 4 Posts
Default

Any update on this? If not, then this How To should be removed.
Reply With Quote
  #8  
Old 24th April 2007, 19:38
cryptic cryptic is offline
Senior Member
 
Join Date: Sep 2006
Posts: 136
Thanks: 5
Thanked 5 Times in 4 Posts
 
Default

This is what worked for me:

First I noticed that the postgresql-libs i had installed was 8.1.8-1.el4s1.1, which is what is in CentOS Plus. Not sure why this version was installed. I remove this package and it removed the other postgresql packages.

I also made sure that my ceotusplus entry in yum.repos.d/CentOS-Base.repo looked this this:

[centosplus]
name=CentOS-$releasever - Plus
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=centosplu s
#baseurl=http://mirror.centos.org/centos/$releasever/centosplus/$basearch/
gpgcheck=1
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-centos4
includepkgs=postfix

The 'yum install libtool postgresql-devel gdbm-devel pam-devel expect openldap-devel' installed just fine.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Issues with Postfix using "Virtual Users And Domains With Postfix, Courier And MySQL" Kyse HOWTO-Related Questions 15 6th January 2007 15:35
Junk mail and spamassassin... sthompson Installation/Configuration 4 27th December 2006 16:11
Centos 4.4 32bit Hangs, High Server load 3cwired_com Server Operation 11 16th November 2006 15:47
Verify email setup meekish Installation/Configuration 28 27th October 2006 15:36
Virtual Users And Domains With Postfix, Courier And MySQL [+ procmail ?] immobilia HOWTO-Related Questions 5 29th June 2006 23:20


All times are GMT +2. The time now is 10:40.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.